Subject: Upromise
From: "NCCSOFFICE" <[email-masked]>
To: "NCCSOFFICE" <[email-masked]>
Date: Wed, 11 Jun 2008 10:11:57 -0400

If your family is participating in the Upromise Schools Program to reduce
your tuition costs it is now time to send in your final Account Summary.
Please read the attached instructions for sending in documentation and send
in exactly what is requested.  I need to receive your documentation no later
than Friday, June 13 at 3:00pm.  

If you aren't currently participating in the Upromise Schools Program and
would like more information on how you can use it to reduce NCCS tuition
costs, please read the second attached document.

Mrs. Christy Sochay

Secretary

New Covenant Christian School

517-323-8903